Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
h5ltmake_dataset_f Interface Reference

## Public Member Functions
subroutine | h5ltmake_dataset_integer_kind_16_rank_0 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_16_rank_1 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_16_rank_2 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_16_rank_3 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_16_rank_4 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_16_rank_5 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_16_rank_6 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_16_rank_7 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_1_rank_0 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_1_rank_1 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_1_rank_2 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_1_rank_3 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_1_rank_4 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_1_rank_5 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_1_rank_6 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_1_rank_7 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_2_rank_0 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_2_rank_1 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_2_rank_2 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_2_rank_3 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_2_rank_4 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_2_rank_5 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_2_rank_6 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_2_rank_7 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_4_rank_0 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_4_rank_1 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_4_rank_2 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_4_rank_3 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_4_rank_4 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_4_rank_5 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_4_rank_6 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_4_rank_7 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_8_rank_0 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_8_rank_1 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_8_rank_2 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_8_rank_3 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_8_rank_4 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_8_rank_5 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_8_rank_6 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_integer_kind_8_rank_7 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_10_rank_0 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_10_rank_1 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_10_rank_2 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_10_rank_3 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_10_rank_4 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_10_rank_5 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_10_rank_6 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_10_rank_7 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_16_rank_0 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_16_rank_1 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_16_rank_2 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_16_rank_3 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_16_rank_4 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_16_rank_5 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_16_rank_6 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_16_rank_7 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_4_rank_0 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_4_rank_1 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_4_rank_2 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_4_rank_3 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_4_rank_4 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_4_rank_5 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_4_rank_6 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_4_rank_7 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_8_rank_0 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_8_rank_1 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_8_rank_2 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_8_rank_3 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_8_rank_4 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_8_rank_5 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_8_rank_6 (loc_id, dset_name, rank, dims, type_id, buf, errcode)
subroutine | h5ltmake_dataset_real_kind_8_rank_7 (loc_id, dset_name, rank, dims, type_id, buf, errcode)

## Member Function/Subroutine Documentation

## ◆ h5ltmake_dataset_integer_kind_16_rank_0()

subroutine h5ltmake_dataset_integer_kind_16_rank_0 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=16), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_16_rank_1()

subroutine h5ltmake_dataset_integer_kind_16_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=16), dimension(dims(1)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_16_rank_2()

subroutine h5ltmake_dataset_integer_kind_16_rank_2 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=16), dimension(dims(1),dims(2)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_16_rank_3()

subroutine h5ltmake_dataset_integer_kind_16_rank_3 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_16_rank_4()

subroutine h5ltmake_dataset_integer_kind_16_rank_4 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3),dims(4)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_16_rank_5()

subroutine h5ltmake_dataset_integer_kind_16_rank_5 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_16_rank_6()

subroutine h5ltmake_dataset_integer_kind_16_rank_6 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_16_rank_7()

subroutine h5ltmake_dataset_integer_kind_16_rank_7 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_1_rank_0()

subroutine h5ltmake_dataset_integer_kind_1_rank_0 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=1), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_1_rank_1()

subroutine h5ltmake_dataset_integer_kind_1_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=1), dimension(dims(1)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_1_rank_2()

subroutine h5ltmake_dataset_integer_kind_1_rank_2 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=1), dimension(dims(1),dims(2)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_1_rank_3()

subroutine h5ltmake_dataset_integer_kind_1_rank_3 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_1_rank_4()

subroutine h5ltmake_dataset_integer_kind_1_rank_4 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3),dims(4)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_1_rank_5()

subroutine h5ltmake_dataset_integer_kind_1_rank_5 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_1_rank_6()

subroutine h5ltmake_dataset_integer_kind_1_rank_6 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_1_rank_7()

subroutine h5ltmake_dataset_integer_kind_1_rank_7 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_2_rank_0()

subroutine h5ltmake_dataset_integer_kind_2_rank_0 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=2), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_2_rank_1()

subroutine h5ltmake_dataset_integer_kind_2_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=2), dimension(dims(1)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_2_rank_2()

subroutine h5ltmake_dataset_integer_kind_2_rank_2 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=2), dimension(dims(1),dims(2)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_2_rank_3()

subroutine h5ltmake_dataset_integer_kind_2_rank_3 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_2_rank_4()

subroutine h5ltmake_dataset_integer_kind_2_rank_4 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3),dims(4)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_2_rank_5()

subroutine h5ltmake_dataset_integer_kind_2_rank_5 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_2_rank_6()

subroutine h5ltmake_dataset_integer_kind_2_rank_6 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_2_rank_7()

subroutine h5ltmake_dataset_integer_kind_2_rank_7 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_4_rank_0()

subroutine h5ltmake_dataset_integer_kind_4_rank_0 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=4), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_4_rank_1()

subroutine h5ltmake_dataset_integer_kind_4_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=4), dimension(dims(1)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_4_rank_2()

subroutine h5ltmake_dataset_integer_kind_4_rank_2 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=4), dimension(dims(1),dims(2)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_4_rank_3()

subroutine h5ltmake_dataset_integer_kind_4_rank_3 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_4_rank_4()

subroutine h5ltmake_dataset_integer_kind_4_rank_4 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3),dims(4)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_4_rank_5()

subroutine h5ltmake_dataset_integer_kind_4_rank_5 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_4_rank_6()

subroutine h5ltmake_dataset_integer_kind_4_rank_6 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_4_rank_7()

subroutine h5ltmake_dataset_integer_kind_4_rank_7 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_8_rank_0()

subroutine h5ltmake_dataset_integer_kind_8_rank_0 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=8), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_8_rank_1()

subroutine h5ltmake_dataset_integer_kind_8_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=8), dimension(dims(1)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_8_rank_2()

subroutine h5ltmake_dataset_integer_kind_8_rank_2 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=8), dimension(dims(1),dims(2)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_8_rank_3()

subroutine h5ltmake_dataset_integer_kind_8_rank_3 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_8_rank_4()

subroutine h5ltmake_dataset_integer_kind_8_rank_4 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3),dims(4)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_8_rank_5()

subroutine h5ltmake_dataset_integer_kind_8_rank_5 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_8_rank_6()

subroutine h5ltmake_dataset_integer_kind_8_rank_6 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_integer_kind_8_rank_7()

subroutine h5ltmake_dataset_integer_kind_8_rank_7 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_10_rank_0()

subroutine h5ltmake_dataset_real_kind_10_rank_0 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=10), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_10_rank_1()

subroutine h5ltmake_dataset_real_kind_10_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=10), dimension(dims(1)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_10_rank_2()

subroutine h5ltmake_dataset_real_kind_10_rank_2 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=10), dimension(dims(1),dims(2)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_10_rank_3()

subroutine h5ltmake_dataset_real_kind_10_rank_3 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_10_rank_4()

subroutine h5ltmake_dataset_real_kind_10_rank_4 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3),dims(4)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_10_rank_5()

subroutine h5ltmake_dataset_real_kind_10_rank_5 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_10_rank_6()

subroutine h5ltmake_dataset_real_kind_10_rank_6 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_10_rank_7()

subroutine h5ltmake_dataset_real_kind_10_rank_7 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_16_rank_0()

subroutine h5ltmake_dataset_real_kind_16_rank_0 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=16), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_16_rank_1()

subroutine h5ltmake_dataset_real_kind_16_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=16), dimension(dims(1)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_16_rank_2()

subroutine h5ltmake_dataset_real_kind_16_rank_2 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=16), dimension(dims(1),dims(2)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_16_rank_3()

subroutine h5ltmake_dataset_real_kind_16_rank_3 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_16_rank_4()

subroutine h5ltmake_dataset_real_kind_16_rank_4 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3),dims(4)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_16_rank_5()

subroutine h5ltmake_dataset_real_kind_16_rank_5 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_16_rank_6()

subroutine h5ltmake_dataset_real_kind_16_rank_6 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_16_rank_7()

subroutine h5ltmake_dataset_real_kind_16_rank_7 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_4_rank_0()

subroutine h5ltmake_dataset_real_kind_4_rank_0 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=4), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_4_rank_1()

subroutine h5ltmake_dataset_real_kind_4_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=4), dimension(dims(1)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_4_rank_2()

subroutine h5ltmake_dataset_real_kind_4_rank_2 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=4), dimension(dims(1),dims(2)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_4_rank_3()

subroutine h5ltmake_dataset_real_kind_4_rank_3 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_4_rank_4()

subroutine h5ltmake_dataset_real_kind_4_rank_4 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3),dims(4)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_4_rank_5()

subroutine h5ltmake_dataset_real_kind_4_rank_5 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_4_rank_6()

subroutine h5ltmake_dataset_real_kind_4_rank_6 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_4_rank_7()

subroutine h5ltmake_dataset_real_kind_4_rank_7 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_8_rank_0()

subroutine h5ltmake_dataset_real_kind_8_rank_0 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=8), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_8_rank_1()

subroutine h5ltmake_dataset_real_kind_8_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=8), dimension(dims(1)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_8_rank_2()

subroutine h5ltmake_dataset_real_kind_8_rank_2 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=8), dimension(dims(1),dims(2)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_8_rank_3()

subroutine h5ltmake_dataset_real_kind_8_rank_3 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_8_rank_4()

subroutine h5ltmake_dataset_real_kind_8_rank_4 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3),dims(4)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_8_rank_5()

subroutine h5ltmake_dataset_real_kind_8_rank_5 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_8_rank_6()

subroutine h5ltmake_dataset_real_kind_8_rank_6 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5ltmake_dataset_real_kind_8_rank_7()

subroutine h5ltmake_dataset_real_kind_8_rank_7 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | integer, intent(in) | rank,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer(hid_t), intent(in) | type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(in), target | buf,
|  | integer | errcode )

The documentation for this interface was generated from the following file:

- config/toolchain/fortpregen/gfortran/H5LTff_gen.F90